Get a study by ID
curl --request GET \
--url https://api.rallyuxr.com/api/public/v1/studies/{studyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rallyuxr.com/api/public/v1/studies/{studyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rallyuxr.com/api/public/v1/studies/{studyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"studyId": "<string>",
"studyPlan": {
"name": "<string>",
"externalName": "<string>",
"description": "<string>",
"externalDescription": "<string>",
"startDate": "2025-01-01",
"endDate": "2025-01-02",
"researchPlanUrl": "<string>",
"participationLimit": 10,
"consentFormId": "<string>",
"incentive": {
"incentiveBudgetId": "<string>",
"amount": 123,
"customIncentiveId": "<string>",
"defaultCustomIncentiveValue": "<string>"
},
"includeScreener": true,
"brandingConfigId": "<string>",
"language": "en",
"scheduler": {
"interviewDurationMinutes": 60
}
},
"createdAt": "2023-11-07T05:31:56Z",
"createdFromTemplateId": "<string>",
"owners": [
{
"userId": "<string>",
"emailAccountId": "<string>",
"fullname": "<string>",
"email": "<string>"
}
],
"screener": {
"id": "<string>",
"workspaceId": "<string>",
"studyId": "<string>",
"showSchedulerToQualified": true,
"qualifyByDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"questions": [
{
"category": "simple",
"name": "<string>",
"isRequired": true,
"id": "<string>",
"workspaceId": "<string>",
"description": "<string>",
"mappedToPropertyId": "<string>",
"questionTemplateId": "<string>"
}
],
"externalSurveyId": "<string>",
"surveyMonkeyCollectorId": "<string>",
"externalSurveySetupErrorCode": "<string>",
"externalSurveySetupUpdatedAt": "2023-11-07T05:31:56Z",
"customLinkUrl": "<string>",
"customLinkTokensJson": "<string>"
}
}"Unauthorized""Forbidden""{Resource} not found""Too Many Requests""Internal Server Error"Studies
Get a study by ID
GET
/
studies
/
{studyId}
Get a study by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
The study
Study object including its screener
The type of study
Available options:
SURVEY, INTERVIEWS, UNMODERATED_TEST, GROUP_INTERVIEW The recruitment strategy for the study
Available options:
IN_RALLY, EXTERNAL The status of the study
Available options:
DRAFT, ACTIVE, PAUSED, CLOSED Study plan object
Show child attributes
Show child attributes
The ID of the template this study was created from, or null if not created from a template
Show child attributes
Show child attributes
The study's screener with all of its questions. Null when the study has no screener or the caller cannot read screeners. Not included in list responses.
Show child attributes
Show child attributes
⌘I